<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.lanyuanxiaoyao</groupId>
    <artifactId>service-ai</artifactId>
    <version>1.0.0-SNAPSHOT</version>
    <packaging>pom</packaging>
    <description>Hudi AI服务集合</description>
    <modules>
        <module>service-ai-core</module>
        <module>service-ai-chat</module>
        <module>service-ai-knowledge</module>
    </modules>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>

        <build-tag>b2b12</build-tag>

        <spring-boot.version>3.4.3</spring-boot.version>
        <spring-cloud.version>2024.0.1</spring-cloud.version>
        <spring-ai.version>1.0.0</spring-ai.version>
        <eclipse-collections.version>11.1.0</eclipse-collections.version>
        <curator.version>5.1.0</curator.version>
        <hutool.version>5.8.27</hutool.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <!-- 当前项目依赖 -->
            <dependency>
                <groupId>com.lanyuanxiaoyao</groupId>
                <artifactId>service-common</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.lanyuanxiaoyao</groupId>
                <artifactId>service-configuration</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.lanyuanxiaoyao</groupId>
                <artifactId>service-dependencies</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.lanyuanxiaoyao</groupId>
                <artifactId>service-forest</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.lanyuanxiaoyao</groupId>
                <artifactId>service-ai-core</artifactId>
                <version>${project.version}</version>
            </dependency>

            <!-- spring boot 相关依赖 -->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring-cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.springframework.ai</groupId>
                <artifactId>spring-ai-bom</artifactId>
                <version>${spring-ai.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>com.dtflys.forest</groupId>
                <artifactId>forest-spring-boot3-starter</artifactId>
                <version>1.5.36</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.datatype</groupId>
                <artifactId>jackson-datatype-eclipse-collections</artifactId>
                <version>2.17.1</version>
            </dependency>
            <dependency>
                <groupId>com.github.ulisesbocchio</groupId>
                <artifactId>jasypt-spring-boot-starter</artifactId>
                <version>3.0.5</version>
            </dependency>

            <!-- 日志相关 -->
            <dependency>
                <groupId>pl.tkowalcz.tjahzi</groupId>
                <artifactId>logback-appender</artifactId>
                <version>0.9.23</version>
            </dependency>
            <dependency>
                <groupId>com.github.loki4j</groupId>
                <artifactId>loki-logback-appender-jdk8</artifactId>
                <version>1.4.2</version>
            </dependency>

            <!-- 其他 -->
            <dependency>
                <groupId>dev.failsafe</groupId>
                <artifactId>failsafe</artifactId>
                <version>3.3.1</version>
            </dependency>
            <dependency>
                <groupId>org.eclipse.collections</groupId>
                <artifactId>eclipse-collections</artifactId>
                <version>${eclipse-collections.version}</version>
                <scope>runtime</scope>
            </dependency>
            <dependency>
                <groupId>org.eclipse.collections</groupId>
                <artifactId>eclipse-collections-api</artifactId>
                <version>${eclipse-collections.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool.version}</version>
            </dependency>
            <dependency>
                <groupId>com.yomahub</groupId>
                <artifactId>liteflow-spring-boot-starter</artifactId>
                <version>2.13.2</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-source-plugin</artifactId>
                    <version>3.3.0</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-shade-plugin</artifactId>
                    <version>3.3.0</version>
                </plugin>
                <plugin>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-maven-plugin</artifactId>
                    <version>${spring-boot.version}</version>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>

    <distributionManagement>
        <repository>
            <id>${releases.id}</id>
            <name>${releases.name}</name>
            <url>${releases.url}</url>
        </repository>
        <snapshotRepository>
            <id>${snapshots.id}</id>
            <name>${snapshots.name}</name>
            <url>${snapshots.url}</url>
        </snapshotRepository>
    </distributionManagement>

</project>